<?php

class ModelShippingFuturaFreteContaCliente extends Model {
    
    const TIPO_AMBOS   = 2;
    
    public function getTipo($cnpj, $cpf){
    
        if($cnpj){
            return 1;
        }
    
        if($cpf){
            return 0;
        }
    }    

    
	function getQuote($address, $pProduct = Array()) {
        
             
            $tipopessoa = $this->getTipo($this->customer->getCnpj(), $this->customer->getCpf());
             
            if( ($this->config->get('futura_frete_conta_cliente_habilitar_pessoa_tipo')!=ModelShippingFuturaFreteContaCliente::TIPO_AMBOS)&&($this->config->get('futura_frete_conta_cliente_habilitar_pessoa_tipo') != $tipopessoa)){
                return;
            }
             
             
        
        $quote_data = array();
        $quote_data['futura_frete_conta_cliente'] = array(
            'code'         => 'futura_frete_conta_cliente.futura_frete_conta_cliente',
        	'title'        => $this->config->get('futura_frete_conta_cliente_text'),
        	'cost'         => 0,
		    'text'         => $this->config->get('futura_frete_conta_cliente_value'),
        );

        $method_data = array(
            'code'       => 'futura_frete_conta_cliente',
        	'title'      => $this->config->get('futura_frete_conta_cliente_title'),
        	'quote'      => $quote_data,
        	'sort_order' => $this->config->get('futura_frete_conta_cliente_sort_order'),
            'error'      => false
        );

        return $method_data;
        
    }
}

